clicking packages work! so the package selector is now
[duncan/yast2-qt4.git] / CMakeLists.txt
1 PROJECT(yast2-qt)
2 SET( CMAKE_MODULE_PATH "${CMAKE_INSTALL_PREFIX}/share/cmake/Modules" ${CMAKE_MODULE_PATH} )
3
4 SET( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Woverloaded-virtual -Wno-deprecated" )
5 SET( CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -g -Wall" )
6 set( CMAKE_CXX_FLAGS_RELEASE   "${CMAKE_CXX_FLAGS_RELEASE} -DQT_NO_DEBUG -DNDEBUG")
7
8 SET( RPMNAME "yast2-qt" )
9
10 FIND_PACKAGE(Qt4 REQUIRED)
11 FIND_PACKAGE(Yast REQUIRED)
12 INCLUDE(YastCommon)
13
14 SET(Y2QT_ICONDIR ${CMAKE_INSTALL_PREFIX}/share/YaST2/theme/current)
15 SET(Y2QT_LOCALEDIR ${CMAKE_INSTALL_PREFIX}/share/locale)
16 SET(Y2QT_THEMEDIR ${CMAKE_INSTALL_PREFIX}/share/YaST2/theme)
17
18 ADD_SUBDIRECTORY(src)
19 ADD_SUBDIRECTORY(theme)
20